package WEB-INF.classes.wenrgise.common.utility;

import java.io.Serializable;

public class UserInfo implements Serializable {
  private String userSystemId;
  
  private String userId;
  
  private String siteId;
  
  private String userType;
  
  private String userTypeId;
  
  private String userLocked;
  
  private String userActiveFlag;
  
  private String userName;
  
  private String siteName;
  
  private String currentYear;
  
  private boolean superUser = false;
  
  private String moduleId;
  
  private String gradeId;
  
  private String grade;
  
  private String desigId;
  
  private String designation;
  
  private String siteCode;
  
  public String getUserName() {
    return this.userName;
  }
  
  public void setUserName(String newUserName) {
    this.userName = newUserName;
  }
  
  public String getSiteName() {
    return this.siteName;
  }
  
  public void setSiteName(String newSiteName) {
    this.siteName = newSiteName;
  }
  
  public String getSiteId() {
    return this.siteId;
  }
  
  public void setSiteId(String newSiteId) {
    this.siteId = newSiteId;
  }
  
  public String getUserActiveFlag() {
    return this.userActiveFlag;
  }
  
  public void setUserActiveFlag(String newUserActiveFlag) {
    this.userActiveFlag = newUserActiveFlag;
  }
  
  public String getUserId() {
    return this.userId;
  }
  
  public void setUserId(String newUserId) {
    this.userId = newUserId;
  }
  
  public String getUserLocked() {
    return this.userLocked;
  }
  
  public void setUserLocked(String newUserLocked) {
    this.userLocked = newUserLocked;
  }
  
  public String getUserSystemId() {
    return this.userSystemId;
  }
  
  public void setUserSystemId(String newUserSystemId) {
    this.userSystemId = newUserSystemId;
  }
  
  public String getUserType() {
    return this.userType;
  }
  
  public void setUserType(String newUserType) {
    this.userType = newUserType;
  }
  
  public String getUserTypeId() {
    return this.userTypeId;
  }
  
  public void setUserTypeId(String newUserTypeId) {
    this.userTypeId = newUserTypeId;
  }
  
  public String getCurrentYear() {
    return this.currentYear;
  }
  
  public void setCurrentYear(String newCurrentYear) {
    this.currentYear = newCurrentYear;
  }
  
  public boolean isSuperUser() {
    return this.superUser;
  }
  
  public void setSuperUser(boolean newSuperUser) {
    this.superUser = newSuperUser;
  }
  
  public String getModuleId() {
    return this.moduleId;
  }
  
  public void setModuleId(String newModuleId) {
    this.moduleId = newModuleId;
  }
  
  public String getGradeId() {
    return this.gradeId;
  }
  
  public void setGradeId(String newGradeId) {
    this.gradeId = newGradeId;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getDesigId() {
    return this.desigId;
  }
  
  public void setDesigId(String newDesigId) {
    this.desigId = newDesigId;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getSiteCode() {
    return this.siteCode;
  }
  
  public void setSiteCode(String newSiteCode) {
    this.siteCode = newSiteCode;
  }
}
